Package org.springframework.beans.factory.config

# Enum Class YamlProcessor.ResolutionMethod

java.lang.Object
java.lang.Enum<YamlProcessor.ResolutionMethod>
org.springframework.beans.factory.config.YamlProcessor.ResolutionMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<YamlProcessor.ResolutionMethod>`, `Constable`

Enclosing class:
  YamlProcessor

public static enum YamlProcessor.ResolutionMethod extends Enum<YamlProcessor.ResolutionMethod>
Method to use for resolving resources.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST_FOUND`
Take the first resource in the list that exists and use just that.
`OVERRIDE`
Replace values from earlier in the list.
`OVERRIDE_AND_IGNORE`
Replace values from earlier in the list, ignoring any failures.

## Method Summary

Modifier and Type
Method
Description
`static YamlProcessor.ResolutionMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static YamlProcessor.ResolutionMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OVERRIDE

public static final YamlProcessor.ResolutionMethod OVERRIDE
Replace values from earlier in the list.

### OVERRIDE_AND_IGNORE

public static final YamlProcessor.ResolutionMethod OVERRIDE_AND_IGNORE
Replace values from earlier in the list, ignoring any failures.

### FIRST_FOUND

public static final YamlProcessor.ResolutionMethod FIRST_FOUND
Take the first resource in the list that exists and use just that.

## Method Details

### values

public static YamlProcessor.ResolutionMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static YamlProcessor.ResolutionMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null